export class NoopCredentialRemovalHandler {
    async onCredentialsRemoved(_) { }
}
export class AppsCredentialRemovalHandler {
    constructor(pushApp, configFacade, appSpecificCredentialRemovalActions) {
        this.pushApp = pushApp;
        this.configFacade = configFacade;
        this.appSpecificCredentialRemovalActions = appSpecificCredentialRemovalActions;
    }
    async onCredentialsRemoved({ login, userId }) {
        await this.pushApp.invalidateAlarmsForUser(userId);
        await this.pushApp.removeUserFromNotifications(userId);
        await this.configFacade.delete(userId);
        await this.appSpecificCredentialRemovalActions(login, userId);
    }
}
//# sourceMappingURL=CredentialRemovalHandler.js.map